Skip to content
Back to top

# bson_append_array_from_vector_int8()

## Synopsis

    #define BSON_APPEND_ARRAY_FROM_VECTOR_INT8(b, key, view) \
       bson_append_array_from_vector_int8 (b, key, (int) strlen (key), view)

    bool
    bson_append_array_from_vector_int8 (bson_t *bson,
                                        const char *key,
                                        int key_length,
                                        bson_vector_int8_const_view_t view);

## Parameters

- `bson`: A bson_t.

- `key`: An ASCII C string containing the name of the field.

- `key_length`: The length of `key` in bytes, or -1 to determine the length with `strlen()`.

- `view`: A bson_vector_int8_const_view_t pointing to validated `int8` BSON Binary Vector subtype data.

## Description

Converts the Vector pointed to by `view` into a plain BSON Array, written to `bson` under the name `key`.

## Returns

Returns `true` if the operation was applied successfully. The function fails if appending the array grows `bson` larger than INT32_MAX.

See also

bson_array_builder_append_vector_int8_elements()